Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 11-08-2014 12:17:39

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

[abandonné] relations de dépendances cassées

Bonjour,

Suite à cette interrogation, à savoir :

aptitude search ~b
iBA libreoffice-common                                           - suite de productivité bureautique -- fichiers indépendants de l'architecture


et

captnfab a écrit :

Par « dépendance cassée », c'est la relation de dépendance qui est cassée. C'est à dire qu'un paquet dont dépend libreoffice-common n'est pas installé ou en tout cas pas installé dans la version demandée.

je me suis fendu d'un :

aptitude show libreoffice-common


Le moins que l'on puisse dire est que la réponse est conséquente :

Paquet : libreoffice-common                  
État: installé
Automatiquement installé: oui
Version : 1:4.2.5-1~bpo70+1
Priorité : optionnel
Section : editors
Responsable : Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Architecture : all
Taille décompressée : 78,1 M
Dépend: libreoffice-style-default | libreoffice-style, ure
Pré-dépend: dpkg (>= 1.15.7.2~)
Recommande: xfonts-mathml, python-uno, libexttextcat-data
Suggère: libreoffice-style-crystal, libreoffice-style-hicontrast, libreoffice-style-oxygen,
          libreoffice-style-sifr, libreoffice-style-tango
Est en conflit: broffice, broffice, libreoffice-filter-mobiledev, libreoffice-filter-mobiledev,
                libreoffice-l10n-3.5, libreoffice-l10n-3.5, libreoffice-l10n-3.6, libreoffice-l10n-3.6
Casse: libreoffice-core (>= 1:4.3~), libreoffice-core (>= 1:4.3~), libreoffice-core (< 1:4.2~), libreoffice-core
       (< 1:4.2~), libreoffice-mysql-connector (< 1.0.1+LibO3.6.5-1), libreoffice-mysql-connector (<
       1.0.1+LibO3.6.5-1), libreoffice-pdfimport (< 1.0.6), libreoffice-pdfimport (< 1.0.6),
       libreoffice-presentation-minimizer (< 1.0.4), libreoffice-presentation-minimizer (< 1.0.4),
       libreoffice-presenter-console (< 1.1.1), libreoffice-presenter-console (< 1.1.1),
       libreoffice-report-builder (< 1.2.3), libreoffice-report-builder (< 1.2.3),
       libreoffice-script-provider-bsh (< 1:3.6~), libreoffice-script-provider-bsh (< 1:3.6~),
       libreoffice-script-provider-js (< 1:3.6~), libreoffice-script-provider-js (< 1:3.6~),
       libreoffice-script-provider-python (< 1:3.6~), libreoffice-script-provider-python (< 1:3.6~),
       libreoffice-style-andromeda (< 1:4.2~), libreoffice-style-andromeda (< 1:4.2~), libreoffice-style-crystal
       (>= 1:4.3~), libreoffice-style-crystal (>= 1:4.3~), libreoffice-style-crystal (< 1:4.2~),
       libreoffice-style-crystal (< 1:4.2~), libreoffice-style-galaxy (>= 1:4.3~), libreoffice-style-galaxy (>=
       1:4.3~), libreoffice-style-galaxy (< 1:4.2~), libreoffice-style-galaxy (< 1:4.2~),
       libreoffice-style-hicontrast (>= 1:4.3~), libreoffice-style-hicontrast (>= 1:4.3~),
       libreoffice-style-hicontrast (< 1:4.2~), libreoffice-style-hicontrast (< 1:4.2~), libreoffice-style-oxygen
       (>= 1:4.3~), libreoffice-style-oxygen (>= 1:4.3~), libreoffice-style-oxygen (< 1:4.2~),
       libreoffice-style-oxygen (< 1:4.2~), libreoffice-style-tango (>= 1:4.3~), libreoffice-style-tango (>=
       1:4.3~), libreoffice-style-tango (< 1:4.2~), libreoffice-style-tango (< 1:4.2~),
       libreoffice-wiki-publisher (< 1.1.2), libreoffice-wiki-publisher (< 1.1.2), libreoffice-writer2latex (<
       1.0.2-9), libreoffice-writer2latex (< 1.0.2-9), libreoffice-writer2xhtml (< 1.0.2-9),
       libreoffice-writer2xhtml (< 1.0.2-9), libtextcat-data (< 2.2-8), libtextcat-data (< 2.2-8),
       openoffice.org-common (< 1:3.3.0~), openoffice.org-common (< 1:3.3.0~), zotero-libreoffice-integration (<=
       3.0.11.1-26-g08fb709-1), zotero-libreoffice-integration (<= 3.0.11.1-26-g08fb709-1)
Remplace: libreoffice-emailmerge (< 1:4.0.2~rc1), libreoffice-emailmerge (< 1:4.0.2~rc1), openoffice.org-common
          (< 1:3.3.0~), openoffice.org-common (< 1:3.3.0~)
Fournit: libreoffice-l10n-en-us
Description : suite de productivité bureautique -- fichiers indépendants de l'architecture
 LibreOffice est une suite bureautique complète qui est pratiquement équivalente à Microsoft(R) Office.
 
 Ce paquet fournit les fichiers indépendants de l'architecture pour LibreOffice.
Site : http://www.libreoffice.org



Récemment, j'ai passé Libreoffice de la version 3.5 à la version 4.2 des backports.
Et dernièrement, j'ai activé le support de l'architecture i386.

Je pense que je vais désinstaller puis réinstaller mais je me demandais si aptitude sait proposer des choix particuliers, du genre :
- remplacer les paquets de langue
- supprimer certains paquets de style
- supprimer les paquets openoffice
etc

Est-ce possible ?

À noter que Libreoffice semble, jusqu'à présent, fonctionner correctement.


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#2 12-08-2014 10:17:03

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [abandonné] relations de dépendances cassées

Pour les paquets dont dépend libreoffice-common, j'ai suivi : https://packages.debian.org/fr/wheezy-b … ice-common

dep: dpkg (>= 1.15.7.2~)
        système de gestion des paquets Debian

    dep: libreoffice-style-default
        paquet virtuel fourni par libreoffice-style-galaxy
    ou libreoffice-style
        paquet virtuel fourni par libreoffice-style-crystal, libreoffice-style-galaxy, libreoffice-style-hicontrast, libreoffice-style-oxygen, libreoffice-style-sifr, libreoffice-style-tango

    dep: ure
        environnement d'exécution UNO pour LibreOffice

or :

apt-cache policy dpkg libreoffice-style-default libreoffice-style ure
dpkg:
  Installé : 1.16.15
  Candidat : 1.16.15
 Table de version :
 *** 1.16.15 0
        500 http://ftp.fr.debian.org/debian/ wheezy/main amd64 Packages
        500 http://security.debian.org/ wheezy/updates/main amd64 Packages
        100 /var/lib/dpkg/status
libreoffice-style-default:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
libreoffice-style:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :
ure:
  Installé : 4.2.5-1~bpo70+1
  Candidat : 4.2.5-1~bpo70+1
 Table de version :
 *** 4.2.5-1~bpo70+1 0
        100 http://ftp.fr.debian.org/debian/ wheezy-backports/main amd64 Packages
        100 /var/lib/dpkg/status
     3.5.4+dfsg2-0+deb7u2 0
        500 http://ftp.fr.debian.org/debian/ wheezy/main amd64 Packages

donc ça me semble correct mais j'ai quand même installé tout le bastraing :

apt-get install -t wheezy-backports libreoffice-style-galaxy libreoffice-style-crystal libreoffice-style-hicontrast libreoffice-style-oxygen libreoffice-style-sifr

ce qui, naturellement, n'a rien changé.

J'ai regardé les paquets dépendant de libreoffice-common :

aptitude why libreoffice-common
i   libreoffice-help-fr Dépend libreoffice-l10n-fr
i A libreoffice-l10n-fr Dépend libreoffice-common

et

apt-cache policy libreoffice-l10n-fr libreoffice-help-fr
libreoffice-l10n-fr:
  Installé : 1:4.2.5-1~bpo70+1
  Candidat : 1:4.2.5-1~bpo70+1
 Table de version :
 *** 1:4.2.5-1~bpo70+1 0
        100 http://ftp.fr.debian.org/debian/ wheezy-backports/main amd64 Packages
        100 /var/lib/dpkg/status
     1:4.1.4-2~bpo70+1 0
        100 http://ftp.fr.debian.org/debian/ wheezy-backports/main amd64 Packages
     1:3.5.4+dfsg2-0+deb7u2 0
        500 http://ftp.fr.debian.org/debian/ wheezy/main amd64 Packages
libreoffice-help-fr:
  Installé : 1:3.5.4+dfsg2-0+deb7u2
  Candidat : 1:3.5.4+dfsg2-0+deb7u2
 Table de version :
     1:4.2.5-1~bpo70+1 0
        100 http://ftp.fr.debian.org/debian/ wheezy-backports/main amd64 Packages
     1:4.1.4-2~bpo70+1 0
        100 http://ftp.fr.debian.org/debian/ wheezy-backports/main amd64 Packages
 *** 1:3.5.4+dfsg2-0+deb7u2 0
        500 http://ftp.fr.debian.org/debian/ wheezy/main amd64 Packages
        100 /var/lib/dpkg/status

donc :

apt-get install -t wheezy-backports  libreoffice-help-fr
(...)

le résultat est toujours le même :

aptitude search ~b
iBA libreoffice-common


Il y a un truc qui m'échappe ...  roll


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#3 16-08-2014 17:24:45

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [abandonné] relations de dépendances cassées

Et que propose

aptitude install -f

?


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#4 17-08-2014 10:06:55

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [abandonné] relations de dépendances cassées

Ça me paraît convenable :

aptitude install -f

Les NOUVEAUX paquets suivants vont être installés :
  libreoffice-emailmerge libreoffice-filter-mobiledev libreoffice-writer2latex ttf-liberation ttf-sil-gentium-basic
Les paquets suivants seront ENLEVÉS :
  crda{u} dnsmasq-base{u} gir1.2-gnomebluetooth-1.0{u} gnome-bluetooth{u} iw{u} libgnome-bluetooth10{u} libjim0debian2{u} libjson0{u} libjson0:i386{u}
  libnetfilter-conntrack3{u} libnl-3-200{u} libnl-genl-3-200{u} libnl-route-3-200{u} libnm-glib-vpn1{u} libnm-glib4{u} libnm-gtk-common{u} libnm-gtk0{u}
  libnm-util2{u} mobile-broadband-provider-info{u} modemmanager{u} obexd-client{u} usb-modeswitch{u} usb-modeswitch-data{u} wireless-regdb{u}
  wpasupplicant{u}
0 paquets mis à jour, 5 nouvellement installés, 25 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0 o/613 ko d'archives. Après dépaquetage, 10,1 Mo seront libérés.
Les paquets suivants ont des dépendances non satisfaites :
 libreoffice-common : Est en conflit avec: libreoffice-filter-mobiledev mais 1:3.5.4+dfsg2-0+deb7u2 doit être installé.
                      Casse: libreoffice-writer2latex (< 1.0.2-9) mais 1.0.2-8 doit être installé.
Les actions suivantes permettront de résoudre ces dépendances :

     Conserver les paquets suivants dans leur version actuelle :
1)     libreoffice-filter-mobiledev [Non installé]              
2)     libreoffice-writer2latex [Non installé]

Parce que, après, c'est plutôt l'enfer :

Accepter cette solution ? [Y/n/q/?] n
Les actions suivantes permettront de résoudre ces dépendances :

      Supprimer les paquets suivants :                                                                              
1)      libreoffice                                                                                                
2)      libreoffice-avmedia-backend-gstreamer                                                                      
3)      libreoffice-base                                                                                            
4)      libreoffice-base-core                                                                                      
5)      libreoffice-base-drivers                                                                                    
6)      libreoffice-calc                                                                                            
7)      libreoffice-draw                                                                                            
8)      libreoffice-help-en-us                                                                                      
9)      libreoffice-help-fr                                                                                        
10)     libreoffice-impress                                                                                        
11)     libreoffice-math                                                                                            
12)     libreoffice-report-builder-bin                                                                              
13)     libreoffice-sdbc-firebird                                                                                  
14)     libreoffice-sdbc-hsqldb                                                                                    
15)     libreoffice-writer                                                                                          
16)     python-uno                                                                                                  

      Installer les paquets suivants :                                                                              
17)     libcmis-0.2-0 [0.1.0-1+b1 (now, stable)]                                                                    

      Conserver les paquets suivants dans leur version actuelle :                                                  
18)     libreoffice-emailmerge [Non installé]                                                                      
19)     libreoffice-filter-mobiledev [Non installé]                                                                

      Réinstaller à une version antérieure les paquets suivants :                                                  
20)     libreoffice-common [1:4.2.5-1~bpo70+1 (now, wheezy-backports) -> 1:3.5.4+dfsg2-0+deb7u2 (stable)]          
21)     libreoffice-core [1:4.2.5-1~bpo70+1 (now, wheezy-backports) -> 1:3.5.4+dfsg2-0+deb7u2 (stable)]            
22)     libreoffice-gtk [1:4.2.5-1~bpo70+1 (now, wheezy-backports) -> 1:3.5.4+dfsg2-0+deb7u2 (stable)]              
23)     libreoffice-pdfimport [1:4.2.5-1~bpo70+1 (now, wheezy-backports) -> 1.0.5+LibO3.5.4+dfsg2-0+deb7u2 (stable)]
24)     libreoffice-style-crystal [1:4.2.5-1~bpo70+1 (now, wheezy-backports) -> 1:3.5.4+dfsg2-0+deb7u2 (stable)]    
25)     libreoffice-style-galaxy [1:4.2.5-1~bpo70+1 (now, wheezy-backports) -> 1:3.5.4+dfsg2-0+deb7u2 (stable)]    
26)     libreoffice-style-hicontrast [1:4.2.5-1~bpo70+1 (now, wheezy-backports) -> 1:3.5.4+dfsg2-0+deb7u2 (stable)]
27)     libreoffice-style-oxygen [1:4.2.5-1~bpo70+1 (now, wheezy-backports) -> 1:3.5.4+dfsg2-0+deb7u2 (stable)]    
28)     libreoffice-style-tango [1:4.2.5-1~bpo70+1 (now, wheezy-backports) -> 1:3.5.4+dfsg2-0+deb7u2 (stable)]      
29)     uno-libs3 [4.2.5-1~bpo70+1 (now, wheezy-backports) -> 3.5.4+dfsg2-0+deb7u2 (stable)]                        
30)     ure [4.2.5-1~bpo70+1 (now, wheezy-backports) -> 3.5.4+dfsg2-0+deb7u2 (stable)]                              

      Laisser les dépendances suivantes non satisfaites :                                                          
31)     hyphen-en-us recommande libreoffice-writer | openoffice.org-writer                                          
32)     task-lxde-desktop recommande libreoffice                                                                    
33)     task-lxde-desktop recommande libreoffice-help-en-us                                                        
34)     libreoffice-help-fr recommande libreoffice-core (> 1:4.2.5) | language-support-translations-fr              
35)     libreoffice-l10n-fr recommande libreoffice-core (> 1:4.2.5) | language-support-translations-fr              


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#5 17-08-2014 11:53:37

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [abandonné] relations de dépendances cassées

Il te vire qd même wpasupplicant dans le lot…

Ah mais, c'est vrai que tu utilises les backports aussi.
Du coup, tu peux vouloir essayer

aptitude install -f -t wheezy-backports


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#6 17-08-2014 12:04:38

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [abandonné] relations de dépendances cassées

captnfab a écrit :

Il te vire qd même wpasupplicant dans le lot…


Je ne l'utilise pas.

aptitude install -f -t wheezy-backports

ne fait pas trop de différence (à part télécharger un peu) :

Les NOUVEAUX paquets suivants vont être installés :
  libreoffice-emailmerge libreoffice-filter-mobiledev libreoffice-writer2latex ttf-liberation ttf-sil-gentium-basic
Les paquets suivants seront ENLEVÉS :
  crda{u} dnsmasq-base{u} gir1.2-gnomebluetooth-1.0{u} gnome-bluetooth{u} iw{u} libgnome-bluetooth10{u} libjim0debian2{u} libjson0{u} libjson0:i386{u}
  libnetfilter-conntrack3{u} libnl-3-200{u} libnl-genl-3-200{u} libnl-route-3-200{u} libnm-glib-vpn1{u} libnm-glib4{u} libnm-gtk-common{u} libnm-gtk0{u}
  libnm-util2{u} mobile-broadband-provider-info{u} modemmanager{u} obexd-client{u} usb-modeswitch{u} usb-modeswitch-data{u} wireless-regdb{u} wpasupplicant{u}
0 paquets mis à jour, 5 nouvellement installés, 25 à enlever et 96 non mis à jour.
Il est nécessaire de télécharger 60,4 ko/618 ko d'archives. Après dépaquetage, 10,2 Mo seront libérés.
Les paquets suivants ont des dépendances non satisfaites :
 libreoffice-common : Est en conflit avec: libreoffice-filter-mobiledev mais 1:3.5.4+dfsg2-0+deb7u2 doit être installé.
                      Casse: libreoffice-writer2latex (< 1.0.2-9) mais 1.0.2-8 doit être installé.
Les actions suivantes permettront de résoudre ces dépendances :

     Conserver les paquets suivants dans leur version actuelle :
1)     libreoffice-filter-mobiledev [Non installé]              
2)     libreoffice-writer2latex [Non installé]


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#7 17-08-2014 13:03:45

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [abandonné] relations de dépendances cassées

Mwé. En tout cas, c'est bien libreoffice-writer2latex la dépendance cassée.

Pour une raison X ou Y, cette dépendance n'existe pas dans les backports.

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#8 17-08-2014 16:08:55

vv222
Membre
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : >= Linux 4.5.0 (amd64)
(G)UI : Openbox + ROX
Inscription : 18-11-2013
Site Web

Re : [abandonné] relations de dépendances cassées

captnfab a écrit :

Il te vire qd même wpasupplicant dans le lot…


Je ne pense pas qu’on puisse se fier à ce qu’aptitude affiche avant ses propositions de résolution de conflits.
Ces premières lignes correspondent à une tentative avortée d’appliquer les modifications demandées, et il se peut que l’action finale soit très différente selon les choix faits par la suite dans les propositions d’aptitude.


Jouer sous Debian ? Facile !

Hors ligne

#9 17-08-2014 19:21:03

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [abandonné] relations de dépendances cassées

Bof, les propositions suivantes en sont une seule : réinstaller libreoffice de stable.  hmm

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#10 17-08-2014 20:07:54

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [abandonné] relations de dépendances cassées

@v²2³: en fait, je pense que la proposition de virer iw et wpasupplicant est juste liée à des opérations antérieures qui n'ont pas été suivies d'autoremove (en tout cas de l'«autoremove» d'aptitude.) et n'est pas liée à notre soucis.

@paskal: si le paquet manque dans les backports, c'est plausible que ce soit le seul moyen de ne plus avoir de dépendance cassée. Mais bon, c'est pas si grave que ça d'avoir une dep cassée non plus smile

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#11 18-08-2014 08:27:12

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [abandonné] relations de dépendances cassées

captnfab a écrit :

si le paquet manque dans les backports, c'est plausible que ce soit le seul moyen de ne plus avoir de dépendance cassée.

C'est curieux : j'y pensais justement ce matin (pas en me rasant, hein.  big_smile)

Du coup, j'ai chargé le libreoffice-writer2latex de Jessie, donc ça va de ce côté là.
Mais j'ai aussi voulu m'intéresser à libreoffice-filter-mobiledev, absent de Jessie mais présent dans les backports : https://packages.debian.org/wheezy-back … -mobiledev et alors :

apt-cache policy libreoffice-filter-mobiledev
libreoffice-filter-mobiledev:
  Installé : (aucun)
  Candidat : 1:3.5.4+dfsg2-0+deb7u2
 Table de version :
     1:3.5.4+dfsg2-0+deb7u2 0
        500 http://ftp.fr.debian.org/debian/ wheezy/main amd64 Packages
 


Je suis ... comment dire ? un peu désappointé.  roll


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#12 18-08-2014 08:39:33

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [abandonné] relations de dépendances cassées

J'ai dû charger le paquet des backports ...  roll

apt-cache policy libreoffice-filter-mobiledev
libreoffice-filter-mobiledev:
  Installé : (aucun)
  Candidat : 1:4.0.3-2~bpo70+1
 Table de version :
     1:4.0.3-2~bpo70+1 0
        500 file:/opt/ dep-loc/ Packages
     1:3.5.4+dfsg2-0+deb7u2 0
        500 http://ftp.fr.debian.org/debian/ wheezy/main amd64 Packages
 

mais pas de nouveau progrès :

aptitude install -f
Les NOUVEAUX paquets suivants vont être installés :
  libreoffice-emailmerge libreoffice-filter-mobiledev libreoffice-writer2latex ttf-liberation
  ttf-sil-gentium-basic
Les paquets suivants seront ENLEVÉS :
  crda{u} dnsmasq-base{u} gir1.2-gnomebluetooth-1.0{u} gnome-bluetooth{u} iw{u}
  libgnome-bluetooth10{u} libjim0debian2{u} libjson0{u} libjson0:i386{u}
  libnetfilter-conntrack3{u} libnl-3-200{u} libnl-genl-3-200{u} libnl-route-3-200{u}
  libnm-glib-vpn1{u} libnm-glib4{u} libnm-gtk-common{u} libnm-gtk0{u} libnm-util2{u}
  mobile-broadband-provider-info{u} modemmanager{u} obexd-client{u} usb-modeswitch{u}
  usb-modeswitch-data{u} wireless-regdb{u} wpasupplicant{u}
0 paquets mis à jour, 5 nouvellement installés, 25 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0 o/633 ko d'archives. Après dépaquetage, 10,1 Mo seront libérés.
Les paquets suivants ont des dépendances non satisfaites :
 libreoffice-common : Est en conflit avec: libreoffice-filter-mobiledev mais 1:4.0.3-2~bpo70+1 doit être installé.
Les actions suivantes permettront de résoudre ces dépendances :

     Conserver les paquets suivants dans leur version actuelle :
1)     libreoffice-filter-mobiledev [Non installé]



captnfab a écrit :

Mais bon, c'est pas si grave que ça d'avoir une dep cassée non plus smile


Moué, je crois que je vais conserver ma casse.  wink


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#13 19-08-2014 11:17:12

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [abandonné] relations de dépendances cassées

Aujourd’hui, mise-à-jour vers la version 1:4.2.6-1~bpo70+1 => rien de changé.  sad

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#14 20-08-2014 00:15:27

martinux_qc
Administrateur
Lieu : Montréal (Québec)
Distrib. : Sid
Noyau : Linux 4.7.0-1-amd64
(G)UI : XFCE 4.12
Inscription : 12-10-2008

Re : [abandonné] relations de dépendances cassées

Quand ça veut pas... ça veut pas hein smile
Pas moyen de lui faire entendre raison...

"L'éducation vise à former des citoyens pas trop tatas et non pas à envoyer le plus de tatas possible à l'université."
Pierre Foglia (Journaliste à la retraite à La Presse)
Note : au Québec, le mot tata a un sens péjoratif qui sert à désigner une personne un peu idiote ou insignifiante. D'où les expressions familières : Espèce de grand, de gros tata! Être, avoir l'air tata.

Hors ligne

#15 20-08-2014 14:21:20

vv222
Membre
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : >= Linux 4.5.0 (amd64)
(G)UI : Openbox + ROX
Inscription : 18-11-2013
Site Web

Re : [abandonné] relations de dépendances cassées

Tiens, la solution "bête" n’a pas encore été proposée ?
Tout simplement désinstaller totalement libreoffice avant de le réinstaller directement dans sa version des backports…

Vu les différences de version entre la version de Wheezy et celle des backports, je ne serais pas étonné que quelques paquets aient disparu/apparu suite à des modifications du logiciel lui-même.

Jouer sous Debian ? Facile !

Hors ligne

#16 20-08-2014 18:45:33

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [abandonné] relations de dépendances cassées

vv222 a écrit :

Tiens, la solution "bête" n’a pas encore été proposée ?

Voir mon #1.  smile
Ce qui n'explique pas la situation, d'ailleurs.  neutral


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#17 20-08-2014 19:28:54

vv222
Membre
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : >= Linux 4.5.0 (amd64)
(G)UI : Openbox + ROX
Inscription : 18-11-2013
Site Web

Re : [abandonné] relations de dépendances cassées

paskal a écrit :

vv222 a écrit :

Tiens, la solution "bête" n’a pas encore été proposée ?

Voir mon #1.  smile


Woups, ça m’apprendra à lire en diagonale !

paskal a écrit :

Ce qui n'explique pas la situation, d'ailleurs.  neutral


Comme dit plus haut, il me paraît plausible que le découpage en paquets de libreoffice puisse varier au fil des versions.

-----

Après vérification, le contenu du paquet libreoffice-filter-mobiledev de Wheezy n’est proposé par aucun paquet libreoffice de Jessie/Sid…
Il est d’autant plus étonnant qu’il soit proposé dans les backports de Wheezy mais pas dans Jessie.
EDIT : En fait il n’est proposé que dans une ancienne version des backports, la dernière version de libreoffice des backports Wheezy ne propose pas non plus ce paquet.

-----

Pas plus d’infos dans les changelog des paquets Debian libreoffice, je commence à me demander si ce n’est pas une fonctionnalité qui aurait été abandonnée upstream.

Dernière modification par vv222 (20-08-2014 19:30:10)


Jouer sous Debian ? Facile !

Hors ligne

#18 21-08-2014 08:56:36

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [abandonné] relations de dépendances cassées

vv222 a écrit :

Après vérification, le contenu du paquet libreoffice-filter-mobiledev de Wheezy n’est proposé par aucun paquet libreoffice de Jessie/Sid…
Il est d’autant plus étonnant qu’il soit proposé dans les backports de Wheezy mais pas dans Jessie.
EDIT : En fait il n’est proposé que dans une ancienne version des backports, la dernière version de libreoffice des backports Wheezy ne propose pas non plus ce paquet.

Merci, ça explique mon étonnement au post 11  smile


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#19 24-08-2014 10:04:40

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [abandonné] relations de dépendances cassées

Salut,

Voici ce que j'obtiens après désintallation/purge :

aptitude search ~b
pB  default-jre-headless
pB  icedtea-6-jre-cacao
pB  icedtea-6-jre-jamvm    
pB  icedtea-netx
pB  libdb5.1-java
pB  libreoffice
pB  libreoffice-avmedia-backend-gstreamer
pB  libreoffice-base-core
pB  libreoffice-base-drivers
pB  libreoffice-emailmerge
pB  libreoffice-gtk
pB  libreoffice-help-en-us
pB  libreoffice-help-fr
pB  libreoffice-java-common
pB  libreoffice-pdfimport
pB  libreoffice-report-builder-bin
pB  libreoffice-sdbc-firebird
pB  libreoffice-sdbc-hsqldb      
pB  libreoffice-style-crystal
pB  libreoffice-style-galaxy
pB  libreoffice-style-hicontrast
pB  libreoffice-style-oxygen
pB  libreoffice-style-tango
pB  libreoffice-writer2latex
pB  openjdk-6-jre
pB  openjdk-6-jre-lib
pB  python-uno
pB  ure


C'est-à-dire : aucune trace de ces paquets ils ont des dépendances cassées ?


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#20 24-08-2014 11:52:05

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [abandonné] relations de dépendances cassées

Et après réinstallation :

aptitude search ~b
iBA libreoffice-common

Je pense que j'ai assez perdu de temps avec aptitude.  mad


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

Pied de page des forums